Skip to main content
GET
/
api
/
v1
/
app-conversations
/
search
Search Conversations
curl --request GET \
  --url https://app.all-hands.dev/api/v1/app-conversations/search \
  --header 'X-Access-Token: <api-key>'
{
  "items": [
    {
      "created_by_user_id": "<string>",
      "sandbox_id": "<string>",
      "id": "<string>",
      "selected_repository": "<string>",
      "selected_branch": "<string>",
      "git_provider": "github",
      "title": "<string>",
      "trigger": "resolver",
      "pr_number": [
        123
      ],
      "llm_model": "<string>",
      "metrics": {
        "model_name": "default",
        "accumulated_cost": 0,
        "max_budget_per_task": 123,
        "accumulated_token_usage": {
          "model": "",
          "prompt_tokens": 0,
          "completion_tokens": 0,
          "cache_read_tokens": 0,
          "cache_write_tokens": 0,
          "reasoning_tokens": 0,
          "context_window": 0,
          "per_turn_token": 0,
          "response_id": ""
        }
      },
      "parent_conversation_id": "<string>",
      "sub_conversation_ids": [
        "<string>"
      ],
      "public": true,
      "tags": {},
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "sandbox_status": "MISSING",
      "execution_status": "idle",
      "conversation_url": "<string>",
      "session_api_key": "<string>"
    }
  ],
  "next_page_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://allhandsai-add-v1-api-reference.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Access-Token
string
header
required

Query Parameters

title__contains
string | null
created_at__gte
string<date-time> | null
created_at__lt
string<date-time> | null
updated_at__gte
string<date-time> | null
updated_at__lt
string<date-time> | null
sandbox_id__eq
string | null
page_id
string | null
limit
integer
default:100
Required range: x <= 100
include_sub_conversations
boolean
default:false

Response

Successful Response

items
AppConversation · object[]
required
next_page_id
string | null